{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in mkIf cfg.awesome {

  environment.variables = {
    # Export the current path for the awesome derivation, useful for users rc.lua
    # Example usage in rc.lua :
    #
    #   config = {}
    #   config.dir = os.getenv("AWESOME_CONFIG_DIR")
    #   beautiful.init(config.dir .. "/share/awesome//themes/zenburn/theme.lua")
    #
    AWESOME_CONFIG_DIR = "${pkgs.awesome}";
   };
}
