{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;

in mkIf cfg.laptop {
  # Paquets spécifiques pour un ordinateur portable

  ## Activation d'un gestionnaire de réseau
  networking.networkmanager.enable = true;

  hardware.bluetooth.enable = true;

  environment.systemPackages = with pkgs; [
    networkmanagerapplet
  ];

  services.xserver.synaptics = {
    enable = true;
    twoFingerScroll = true;
  };
}
